kind: pipeline
type: docker
name: default

steps:
  - name: build
    image: python
    commands:
      - pip install git+https://git.adamgoldsmith.name/adam/tts_yaml_unpacker
      - tts_yaml_unpacker pack unpacked.yaml "Arkham SCE Adam_${DRONE_TAG}.json"
      - python -m zipfile -c "Arkham SCE Adam_${DRONE_TAG}.zip" "Arkham SCE Adam_${DRONE_TAG}.json"
  - name: release
    image: plugins/gitea-release
    settings:
      api_key:
        from_secret: Gitea_API_Key
      base_url: https://git.adamgoldsmith.name
      files: "Arkham SCE Adam_${DRONE_TAG}.zip"
      title: "Patched ${DRONE_TAG}"

trigger:
  event:
    - tag
